Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#870 Update doesn't work, settings seem correct

3.1
closed-fixed
Rob Manning
5
2013-09-27
2010-05-07
Anonymous
No

When squirrel is supposed to update (via "check" button on dialogue) , it states:
"squirrel release file couldn't be downloaded. please check your settings."
When I look at the (default) settings and press "test connection" (url being http://www.squirrel-sql.net:80/updates/stable/release.xml\), I get a "connected successfully". The URL is available.
What is remarkable: The error message comes *very fast*, almost instantly, after pressing the "check"-Button. The "test connection" takes much longer, ~ 5,6 seconds.

Actually, this is Version 3.1.1.

Discussion

  • Carlos Garces
    Carlos Garces
    2010-06-03

    Hi!

    Same error, I have updated recently my JTOpen driver to version 7. I'm not sure if is related.

    Errors show in the log:

    2010-06-03 14:57:03,972 [ArtifactDownloadThread] ERROR net.sourceforge.squirrel_sql.client.update.downloader.ArtifactDownloaderImpl - run: Unexpected exception: C:\Program Files\SQuirreL SQL Client\lib\jtopen_7_0 (Access is denied)
    java.io.FileNotFoundException: C:\Program Files\SQuirreL SQL Client\lib\jtopen_7_0 (Access is denied)
    at java.io.FileInputStream.open(Native Method)
    at java.io.FileInputStream.<init>(Unknown Source)
    at java.io.FileInputStream.<init>(Unknown Source)
    at net.sourceforge.squirrel_sql.fw.util.IOUtilitiesImpl.copyFile(IOUtilitiesImpl.java:215)
    at net.sourceforge.squirrel_sql.client.update.UpdateUtilImpl.copyFile(UpdateUtilImpl.java:299)
    at net.sourceforge.squirrel_sql.client.update.UpdateUtilImpl.copyFiles(UpdateUtilImpl.java:411)
    at net.sourceforge.squirrel_sql.client.update.UpdateUtilImpl.copyDir(UpdateUtilImpl.java:363)
    at net.sourceforge.squirrel_sql.client.update.downloader.ArtifactDownloaderImpl.prepareDownloadsDirectory(ArtifactDownloaderImpl.java:205)
    at net.sourceforge.squirrel_sql.client.update.downloader.ArtifactDownloaderImpl.run(ArtifactDownloaderImpl.java:109)
    at java.lang.Thread.run(Unknown Source)
    2010-06-03 14:57:03,972 [ArtifactDownloadThread] ERROR net.sourceforge.squirrel_sql.client.update.UpdateControllerImpl - Please consult the log for details
    2010-06-03 14:57:05,414 [AWT-EventQueue-1] ERROR net.sourceforge.squirrel_sql.client.Application - Exception occured dispatching Event java.awt.event.InvocationEvent[INVOCATION_DEFAULT,runnable=net.sourceforge.squirrel_sql.client.update.DownloadStatusEventHandler$1@cedf4e,notifier=null,catchExceptions=false,when=1275569825414] on sun.awt.windows.WToolkit@89cf1e
    java.lang.NullPointerException
    at net.sourceforge.squirrel_sql.client.update.DownloadStatusEventHandler$1.run(DownloadStatusEventHandler.java:140)
    at java.awt.event.InvocationEvent.dispatch(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at net.sourceforge.squirrel_sql.client.Application$1.dispatchEvent(Application.java:194)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)

     
  • thor heyerdahl
    thor heyerdahl
    2010-06-04

    Well, I found out in my case it was the missing changeList.xml.

    I had to fumble around with the script a lot (the update process is trying to put all jars into the path via the addpath.bat, but the path can only be 512/1024 chars in w2k, so it croaks all the time. I shortened every included path (installing to \SQ3, changing "update" to "up" etc.), but one day that wouldn't be enough anymore. So I built myself a routine for Update, and in the end I thought I should delete changeList.xml - which was wrong.

    The path hassle is a bug on its own, I'd say. I'll see if I file that.
    About my original post, it can be marked closed from my point of view, the idcarlos issue looks unrelated to mine.

     
  • thor heyerdahl
    thor heyerdahl
    2010-06-04

    I have to pull back from my pullback. The issue is still valid, even after a clean install of Squirrel 3.1.1. Log excerpt:

    2010-06-04 16:31:32,421 [Thread-4] ERROR net.sourceforge.squirrel_sql.client.update.UpdateControllerImpl - Release file couldn't be downloaded. Please check your settings.

    I checked the settings, the url is http://www.squirrel-sql.net:80/updates/stable/release.xml, the conncetion test is successful. The manual opening of the url is successful also. But squirrel doesn't update with above error message.

     
  • thor heyerdahl
    thor heyerdahl
    2010-06-04

    The clean install was with squirrel-sql-Snapshot-20100530_1836-install.jar

     
  • thor heyerdahl
    thor heyerdahl
    2010-06-04

    I think I should post mor lines of the log:

    2010-06-04 16:39:15,468 [Thread-4] ERROR net.sourceforge.squirrel_sql.client.update.async.ReleaseFileUpdateCheckTask - Unexpected exception while attempting to find local release file: File release.xml could not be found
    java.io.FileNotFoundException: File release.xml could not be found
    at net.sourceforge.squirrel_sql.client.update.UpdateUtilImpl.getLocalReleaseFile(UpdateUtilImpl.java:615)
    at net.sourceforge.squirrel_sql.client.update.async.ReleaseFileUpdateCheckTask.run(ReleaseFileUpdateCheckTask.java:94)
    at net.sourceforge.squirrel_sql.fw.util.TaskExecuter.run(TaskExecuter.java:82)
    at java.lang.Thread.run(Unknown Source)
    2010-06-04 16:39:15,468 [Thread-4] ERROR net.sourceforge.squirrel_sql.client.update.UpdateControllerImpl - Release file couldn't be downloaded. Please check your settings.

    So, it looks like the "Release file couldn't be downloaded" message was misleading. It seems to stem from a local release.xml missing (which also explains the runtime differences between the test and the update). Alas, the message doesn't specify where the release.xml is expected to be found. I tried the Squirrel and the "Documents and settings" directory, to no avail. (There is a release.xml in the progdir\update directory which I tried to copy to the place where Sq might expect it to be).

    Any hints on where this file is expected? Where do you have yours? tia

     
  • thor heyerdahl
    thor heyerdahl
    2010-06-04

    Damnit! *&%$§! Windows, always screwing you!
    The snapshot *does* update. You only have to make sure you start the snapshot after you installed the snapshot, and not some smartass Windows updating your links automatically, so you continue to start the one you moved into a corner.

     
  • Rob Manning
    Rob Manning
    2010-09-08

    Fixed in SVN. Now, if the local release.xml file is not found the error dialog states as the cause, rather than merely saying the release.xml file couldn't be downloaded.

    Rob

     
  • Rob Manning
    Rob Manning
    2010-09-08

    • status: open --> closed-fixed
     
  • RgnKjnVA
    RgnKjnVA
    2013-09-27

    This was closed in 2010 but I still see the issue every time I'm prompted to update. Currently running 3.5.0. (?!)